Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge of gentoo-sources fails due to dev-qt/qtcore tangle
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Sat Dec 08, 2018 8:28 am    Post subject: Reply with quote

nw_biohazard wrote:
Is it possible that removing all of kde and re-installing would help?

Probably is a way to solve
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 3086
Location: Illinois, USA

PostPosted: Sat Dec 08, 2018 9:13 am    Post subject: Reply with quote

Quote:
I tried adding
Code:
>=dev-qt/qtcore-5.10

to /etc/portage/package.mask.

That idea didn't work well because you have other 5.11 stuff installed.

You have other qt4 things that need updating like dev-qt/qttranslations-4.8.7
Handle each of them separately, before trying the world update.

Have you updated the kernel as suggested? Which kernel are you running? "uname -a"
I didn't see it above.
Perhaps your world file is a mess with dependencies and specific versions listed in it.
Can you post a pastebin of .var/lib/portage/world?

I'd add that autounmask can lead you very far astray. I'd shut it off if I were you.
Back to top
View user's profile Send private message
Chiitoo
Administrator
Administrator


Joined: 28 Feb 2010
Posts: 1775
Location: Here and Away Again

PostPosted: Sun Dec 16, 2018 9:21 am    Post subject: ><)))°€ Reply with quote

See also: Bug 672856 - dev-qt/qtgui-5.11.3 - src_compile(): .../work/qtbase-everywhere-src-5.11.3/bin/qvkgen: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6998
Location: Austria

PostPosted: Sun Dec 16, 2018 10:01 am    Post subject: Reply with quote

Tony0945 wrote:
You have other qt4 things that need updating like dev-qt/qttranslations-4.8.7
Handle each of them separately, before trying the world update.

Qt4 is gone since Aug 7 2018 so it should simply be cleaned up from the system.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 3086
Location: Illinois, USA

PostPosted: Sun Dec 16, 2018 3:36 pm    Post subject: Reply with quote

asturm wrote:
Tony0945 wrote:
You have other qt4 things that need updating like dev-qt/qttranslations-4.8.7
Handle each of them separately, before trying the world update.

Qt4 is gone since Aug 7 2018 so it should simply be cleaned up from the system.

Of course, but the OP is trying to do it in one swoop with emerge world. It seems that portage got confused and started suggesting unmasking versions of qt that he really didn't want.

He could unmerge them all working in a VT and temporarily destroying his GUI in the process, then re-emerging his gui. Dealing with them one at a time is more time consuming but much safer.

August 7 2018 is a mere four months ago. I've updated systems years out date. You can't just issue a single command and expect portage to do all the work, especially when dealing with qt, perl, and python.
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7134
Location: almost Mile High in the USA

PostPosted: Sun Dec 16, 2018 6:21 pm    Post subject: Reply with quote

Might be worth inspecting and cleaning up the world file, as that is a common source of weird packages getting introduced into the calculation.

Incidentally I've always tried to fix the current state of portage such that it will update everything in one fell swoop. Where this fails badly is when packages are removed from portage (versus version bumped), hard masked, or if there are packages where the current version of portage can't handle (e.g. EAPI updates.)

I don't run KDE so can't speak for that, though the Gnome2-Gnome3 transition was probably more painful...
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum